Extending Qt Creator Manual | TerminalAspect

Extending Qt Creator Manual 4.5.2

# TerminalAspect Class

(ProjectExplorer::TerminalAspect)

Header: | #include <TerminalAspect>
Inherits: | ProjectExplorer::IRunConfigurationAspect

- List of all members, including inherited members

## Public Functions

| TerminalAspect(RunConfiguration *rc, const QString &settingsKey, bool useTerminal = false)
void | addToMainConfigurationWidget(QWidget *parent, QFormLayout *layout)
bool | isUserSet() const
ApplicationLauncher::Mode | runMode() const
void | setRunMode(ApplicationLauncher::Mode runMode)
void | setUseTerminal(bool useTerminal)
bool | useTerminal() const

- 18 public functions inherited from ProjectExplorer::IRunConfigurationAspect

## Signals

void | useTerminalChanged(bool)

### Additional Inherited Members

- 2 protected functions inherited from ProjectExplorer::IRunConfigurationAspect

## Detailed Description

## Member Function Documentation

### TerminalAspect::TerminalAspect(RunConfiguration *rc, const QString &settingsKey, bool useTerminal = false)

Default constructs an instance of TerminalAspect.

### void TerminalAspect::addToMainConfigurationWidget(QWidget *parent, QFormLayout *layout)

### bool TerminalAspect::isUserSet() const

### ApplicationLauncher::Mode TerminalAspect::runMode() const

See also setRunMode().

### void TerminalAspect::setRunMode(ApplicationLauncher::Mode runMode)

See also runMode().

### void TerminalAspect::setUseTerminal(bool useTerminal)

See also useTerminal().

### bool TerminalAspect::useTerminal() const

See also setUseTerminal().

### `[signal]` void TerminalAspect::useTerminalChanged(bool)